Page MenuHomePhabricator

Article Preview Adjustment
Closed, ResolvedPublic

Description

Update the article preview section to:

  • Fit 75% - 80% of the screen
  • Include article title
  • Include article lead image icon
  • Remove title description
  • Remove latin explanations and pronunciation descriptions

Event Timeline

hueitan created this task.Jan 7 2020, 9:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 7 2020, 9:37 AM
cmadeo added a subscriber: cmadeo.Jan 7 2020, 3:19 PM

+1 to this!

AMuigai updated the task description. (Show Details)Jan 10 2020, 12:43 PM
AMuigai updated the task description. (Show Details)
SBisson added a subscriber: SBisson.EditedJan 10 2020, 1:42 PM

Remove title description

We can remove it to make the display less crowded but because of the thumbnail height, we won't save much space.

Remove latin explanations and pronunciation descriptions

The latin explanation is part of the text and unstructured. We can't remove it.

Pronunciation is recognizable on some wikis but it's also part of the text so removing it may break the prose. What we can do it remove the links in it.

EDIT: The preview on Android doesn't show those things. It is using this API: https://en.wikipedia.org/api/rest_v1/page/summary/Carnivore

hueitan claimed this task.EditedJan 14 2020, 6:18 AM
hueitan moved this task from Ready for Dev to Code Review on the Inuka-Team (Kanban) board.

true, using summary api can reduce the size fetching the preview message, which is a really good news

screenshot

SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Jan 14 2020, 7:04 PM
SBisson moved this task from QA to Code Review on the Inuka-Team (Kanban) board.
hueitan moved this task from Code Review to Dev on the Inuka-Team (Kanban) board.Jan 15 2020, 2:35 AM
hueitan moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Jan 17 2020, 5:17 AM
AMuigai closed this task as Resolved.Feb 6 2020, 11:19 AM